Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1014057 - VM CD-ROMs Sub-Collection documentation should ';current' instead of '?current'
Summary: VM CD-ROMs Sub-Collection documentation should ';current' instead of '?current'
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.3.0
Assignee: Andrew Burden
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-10-01 10:40 UTC by Christophe Fergeau
Modified: 2014-04-07 03:06 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-07 03:06:42 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Christophe Fergeau 2013-10-01 10:40:47 UTC
In https://access.redhat.com/site/documentation//en-US/Red_Hat_Enterprise_Virtualization/3.2/html/Developer_Guide/Virtual_Machine_CD-ROMs_Sub-Collection.html , the last examples says:

"The API changes the CD-ROM for the current session only using a PUT request with an additional current URI argument:

Example 14.24. Changing a CD-ROM file during a current session

POST /api/vms/cdc0b102-fbfe-444a-b9cb-57d2af94f401/cdroms/00000000-0000-0000-0000-000000000000?current HTTP/1.1"

the '?current' in the last line should be ';current'
Both are working, but '?current' is deprecated, and ';current' is the recommended method now.

Comment 1 Andrew Burden 2013-10-11 07:18:47 UTC
Topic changed
's/000?current/000;current/'

Example 14.24. Changing a CD-ROM file during a current session
now reads:
POST /api/vms/cdc0b102-fbfe-444a-b9cb-57d2af94f401/cdroms
/00000000-0000-0000-0000-000000000000;current HTTP/1.1

Change can be viewed here:
http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_Enterprise_Virtualization/3.3/html/Developer_Guide/Virtual_Machine_CD-ROMs_Sub-Collection.html


Note You need to log in before you can comment on or make changes to this bug.